summaryrefslogtreecommitdiffstats
path: root/source/ap/cdrtools/cdrtools.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/ap/cdrtools/cdrtools.SlackBuild')
-rwxr-xr-xsource/ap/cdrtools/cdrtools.SlackBuild138
1 files changed, 138 insertions, 0 deletions
diff --git a/source/ap/cdrtools/cdrtools.SlackBuild b/source/ap/cdrtools/cdrtools.SlackBuild
new file mode 100755
index 000000000..49aa08c08
--- /dev/null
+++ b/source/ap/cdrtools/cdrtools.SlackBuild
@@ -0,0 +1,138 @@
+#!/bin/sh
+
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+VERSION=2.01.01a57
+ZISOFSTOOLS=1.0.8
+ARCH=${ARCH:-x86_64}
+NUMJOBS=${NUMJOBS:-" -j7 "}
+BUILD=${BUILD:-3}
+
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-cdrtools
+
+rm -rf $PKG
+mkdir -p $TMP $PKG/usr
+
+cd $TMP
+rm -rf cdrtools-$(echo $VERSION | cut -f 1 -d a)
+tar xvf $CWD/cdrtools-$VERSION.tar.bz2 || exit 1
+cd cdrtools-$(echo $VERSION | cut -f 1 -d a) || exit 1
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+INS_BASE=/usr make -e $NUMJOBS || exit 1
+# Without this second run, cdda2wav is skipped...
+INS_BASE=/usr make -e || exit 1
+INS_BASE=$PKG/usr make -e install || exit 1
+
+# Remove dupes:
+rm -rf $PKG/usr/share/doc
+rmdir $PKG/usr/share
+
+# I don't know why this couldn't be "/etc/cdrtools" or something, but since
+# getty uses it already I'm not going to argue the point.
+mkdir -p $PKG/etc/default
+cat cdrecord/cdrecord.dfl > $PKG/etc/default/cdrecord.new
+cat rscsi/rscsi.dfl > $PKG/etc/default/rscsi.new
+
+mkdir -p $PKG/usr/doc/cdrtools-$VERSION
+cp -a \
+ ABOUT AN-* BUILD CDDL* COMPILE CONTRIBUTING COPYING* Changelog \
+ *GPL* INSTALL README* START \
+ $PKG/usr/doc/cdrtools-$VERSION
+chown -R root:root $PKG/usr/doc/cdrtools-$VERSION/*
+find $PKG/usr/doc/cdrtools-$VERSION -type f -exec chmod 644 {} \;
+
+(
+ cd mkisofs
+ mkdir -p $PKG/usr/doc/cdrtools-$VERSION/mkisofs
+ cp -a \
+ COPYING* ChangeLog* README* RELEASE TODO \
+ $PKG/usr/doc/cdrtools-$VERSION/mkisofs
+ chown root:root $PKG/usr/doc/cdrtools-$VERSION/mkisofs/*
+ chmod 644 $PKG/usr/doc/cdrtools-$VERSION/mkisofs/*
+)
+(
+ cd cdda2wav
+ mkdir -p $PKG/usr/doc/cdrtools-$VERSION/cdda2wav
+ cp -a \
+ Changelog FAQ Frontends HOWTOUSE NEEDED OtherProgs README THANKS TODO \
+ $PKG/usr/doc/cdrtools-$VERSION/cdda2wav
+ chown root:root $PKG/usr/doc/cdrtools-$VERSION/cdda2wav/*
+ chmod 644 $PKG/usr/doc/cdrtools-$VERSION/cdda2wav/*
+)
+
+# These don't need to be in the package, IMHO.
+rm -rf $PKG/usr/include $PKG/usr/man/man5 $PKG/usr/man/man1/cdda2ogg.1 $PKG/usr/lib/profiled $PKG/usr/lib/*.a
+
+# Fix permissions:
+cd $PKG
+find . -type d -exec chmod 755 {} \;
+chown root:root -R $PKG
+find $PKG/usr/man -type f -exec chmod 644 {} \;
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+chmod 755 $PKG/usr/bin/*
+
+( cd $PKG/usr/bin ; ln -sf mkisofs mkhybrid )
+
+# Next big hole? ;)
+rm -r $PKG/usr/sbin
+rm -f $PKG/usr/doc/cdrtools-$VERSION/README.rscsi
+
+mkdir -p $PKG/install
+zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Add the mkzftree tool for zisofs:
+cd $TMP
+rm -rf zisofs-tools-$ZISOFSTOOLS
+tar xf $CWD/zisofs-tools-$ZISOFSTOOLS.tar.bz2 || exit 1
+cd zisofs-tools-$ZISOFSTOOLS
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+./configure --prefix=/usr
+make $NUMJOBS || make || exit 1
+cat mkzftree > $PKG/usr/bin/mkzftree
+chmod 755 $PKG/usr/bin/mkzftree
+cat mkzftree.1 | gzip -9c > $PKG/usr/man/man1/mkzftree.1.gz
+mkdir -p $PKG/usr/doc/zisofs-tools-$ZISOFSTOOLS
+cp -a \
+ CHANGES COPYING INSTALL README zisofs.magic \
+ $PKG/usr/doc/zisofs-tools-$ZISOFSTOOLS
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/cdrtools-$VERSION-$ARCH-$BUILD.txz
+